Subject: Re: [PATCH] powerpc/8xx: use SPRN_EIE and SPRN_EID to enable/disable interrupts

From: Segher Boessenkool <[email-masked]>
Date: Thu, 18 Aug 2016 11:34:31 -0500

On Thu, Aug 18, 2016 at 05:56:02PM +0200, Christophe Leroy wrote:
> The 8xx has two special registers called EID (External Interrupt
> Disable) and EIE (External Interrupt Enable) for clearing/setting
> EE in MSR. It avoids the three instructions set mfmsr/ori/mtmsr or
> mfmsr/rlwinm/mtmsr.

All 8xx?  What other models?  (5xx for example).

> +/* Special MSR manipulation registers */
> +#define SPRN_EIE	80	/* External interrupt enable (EE=1, RI=1) */
> +#define SPRN_EID	81	/* External interrupt disable (EE=0, RI=1) */
> +#define SPRN_NRI	81	/* Non Recoverable interrupt (EE=0, RI=0) */

This is wrong (NRI is 82).  Don't write code you cannot test / don't submit
code you haven't tested?  :-)

Segher